# TODO: FHS compliance (/var/nullmailer -> /var/lib/nullmailer)
Summary:	Simple relay-only mail transport agent
Summary(pl.UTF-8):	Prosty, wyłącznie przekazujący MTA
Name:		nullmailer
Version:	1.05
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://untroubled.org/nullmailer/%{name}-%{version}.tar.gz
# Source0-md5:	35124cc05f893efba1310e2ec7c876ff
Source1:	%{name}.init
Patch0:		%{name}-FHS.patch
URL:		http://untroubled.org/nullmailer/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Provides:	group(nullmail)
Provides:	smtpdaemon
Provides:	user(nullmail)
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nullmailer is a mail transport agent designed to only relay all its
messages through a fixed set of "upstream" hosts. It is also designed
to be secure.

%description -l pl.UTF-8
Nullmailer to MTA przeznaczony tylko do przekazywania wszystkich
wiadomości do ustalonej listy "nadrzędnych" serwerów. Został
zaprojektowany także z myślą o bezpieczeństwie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s ../sbin/sendmail $RPM_BUILD_ROOT%{_libdir}/sendmail

install %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/nullmailer
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/me
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/defaultdomain
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/remotes


%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 62 nullmail
%useradd -u 62 -d /var/spool/nullmailer -s /bin/false -c "NullMailer User" -g nullmail nullmail

%post
if [ ! -s %{_sysconfdir}/nullmailer/me ]; then
	/bin/hostname --fqdn >%{_sysconfdir}/nullmailer/me
fi
if [ ! -s %{_sysconfdir}/nullmailer/defaultdomain ]; then
	/bin/hostname --domain >%{_sysconfdir}/nullmailer/defaultdomain
fi
/sbin/chkconfig --add nullmailer
if [ -f /var/lock/subsys/nullmailer ]; then
	/etc/rc.d/init.d/nullmailer restart >&2
else
	echo "Run \"/etc/rc.d/init.d/nullmailer start\" to start nullmailer daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nullmailer ]; then
		/etc/rc.d/init.d/nullmailer stop >&2
	fi
	/sbin/chkconfig --del nullmailer
fi

%postun
if [ "$1" = 0 ]; then
	%userremove nullmail
	%groupremove nullmail
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO YEAR2000
%attr(754,root,root) /etc/rc.d/init.d/nullmailer
%dir %{_sysconfdir}/nullmailer
%ghost %{_sysconfdir}/nullmailer/defaultdomain
%ghost %{_sysconfdir}/nullmailer/me
%ghost %{_sysconfdir}/nullmailer/remotes
%attr(4755,nullmail,nullmail) %{_bindir}/mailq
%attr(755,root,root) %{_bindir}/nullmailer-inject
%{_libdir}/sendmail
%dir %{_libdir}/nullmailer
%attr(755,root,root) %{_libdir}/nullmailer/qmqp
%attr(755,root,root) %{_libdir}/nullmailer/smtp
%attr(4755,nullmail,nullmail) %{_sbindir}/nullmailer-queue
%attr(755,root,root) %{_sbindir}/nullmailer-send
%attr(755,root,root) %{_sbindir}/sendmail
%attr(740,nullmail,root) /var/spool/nullmailer
%{_mandir}/man?/*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nullmailer.git;a=log;h=master

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 1492317
- release 2 (by relup.sh)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 1bfed30
- up to 1.05

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> f11fafb
- up to 1.04

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> 16bb515
- drop mutual obsoletes
- rel up

* Sun Aug 05 2007 wrobell <wrobell@pld-linux.org> 64b6acd
- ver. 1.03

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7938f06
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef29e2d
- converted to UTF-8

* Thu Jan 19 2006 Jan Rękorajski <baggins@pld-linux.org> b994901
- rel 2
- fixed chkconfig priorities

* Thu Jan 19 2006 Jan Rękorajski <baggins@pld-linux.org> 5c64988
- proper chkconfig prioroties

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> f3fbf83
- s/prereq/requires/

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 3462a6d
- release 1
- cleanups

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> b8bddc1
- rel 0.2

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> b0bfe4e
- use initlog -m mail for logging
- separate log dir os not needed

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 3fc9e08
- a solution not requiring freedt

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 340d93d
- working solution

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> ce97eda
- on second thought var/log/nullmailer is a directory

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> f6f4e9e
- logfile is not a directory

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 6055867
- up to 1.02
- better %post script

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 6c20a64
- obsolete

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 89b48df
- /var/nullmailer -> /var/spool/nullmailer

